"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CodeDeployClient_1 = require("./CodeDeployClient");
var AddTagsToOnPremisesInstancesCommand_1 = require("./commands/AddTagsToOnPremisesInstancesCommand");
var BatchGetApplicationRevisionsCommand_1 = require("./commands/BatchGetApplicationRevisionsCommand");
var BatchGetApplicationsCommand_1 = require("./commands/BatchGetApplicationsCommand");
var BatchGetDeploymentGroupsCommand_1 = require("./commands/BatchGetDeploymentGroupsCommand");
var BatchGetDeploymentInstancesCommand_1 = require("./commands/BatchGetDeploymentInstancesCommand");
var BatchGetDeploymentTargetsCommand_1 = require("./commands/BatchGetDeploymentTargetsCommand");
var BatchGetDeploymentsCommand_1 = require("./commands/BatchGetDeploymentsCommand");
var BatchGetOnPremisesInstancesCommand_1 = require("./commands/BatchGetOnPremisesInstancesCommand");
var ContinueDeploymentCommand_1 = require("./commands/ContinueDeploymentCommand");
var CreateApplicationCommand_1 = require("./commands/CreateApplicationCommand");
var CreateDeploymentCommand_1 = require("./commands/CreateDeploymentCommand");
var CreateDeploymentConfigCommand_1 = require("./commands/CreateDeploymentConfigCommand");
var CreateDeploymentGroupCommand_1 = require("./commands/CreateDeploymentGroupCommand");
var DeleteApplicationCommand_1 = require("./commands/DeleteApplicationCommand");
var DeleteDeploymentConfigCommand_1 = require("./commands/DeleteDeploymentConfigCommand");
var DeleteDeploymentGroupCommand_1 = require("./commands/DeleteDeploymentGroupCommand");
var DeleteGitHubAccountTokenCommand_1 = require("./commands/DeleteGitHubAccountTokenCommand");
var DeregisterOnPremisesInstanceCommand_1 = require("./commands/DeregisterOnPremisesInstanceCommand");
var GetApplicationCommand_1 = require("./commands/GetApplicationCommand");
var GetApplicationRevisionCommand_1 = require("./commands/GetApplicationRevisionCommand");
var GetDeploymentCommand_1 = require("./commands/GetDeploymentCommand");
var GetDeploymentConfigCommand_1 = require("./commands/GetDeploymentConfigCommand");
var GetDeploymentGroupCommand_1 = require("./commands/GetDeploymentGroupCommand");
var GetDeploymentInstanceCommand_1 = require("./commands/GetDeploymentInstanceCommand");
var GetDeploymentTargetCommand_1 = require("./commands/GetDeploymentTargetCommand");
var GetOnPremisesInstanceCommand_1 = require("./commands/GetOnPremisesInstanceCommand");
var ListApplicationRevisionsCommand_1 = require("./commands/ListApplicationRevisionsCommand");
var ListApplicationsCommand_1 = require("./commands/ListApplicationsCommand");
var ListDeploymentConfigsCommand_1 = require("./commands/ListDeploymentConfigsCommand");
var ListDeploymentGroupsCommand_1 = require("./commands/ListDeploymentGroupsCommand");
var ListDeploymentInstancesCommand_1 = require("./commands/ListDeploymentInstancesCommand");
var ListDeploymentTargetsCommand_1 = require("./commands/ListDeploymentTargetsCommand");
var ListDeploymentsCommand_1 = require("./commands/ListDeploymentsCommand");
var ListGitHubAccountTokenNamesCommand_1 = require("./commands/ListGitHubAccountTokenNamesCommand");
var ListOnPremisesInstancesCommand_1 = require("./commands/ListOnPremisesInstancesCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var PutLifecycleEventHookExecutionStatusCommand_1 = require("./commands/PutLifecycleEventHookExecutionStatusCommand");
var RegisterApplicationRevisionCommand_1 = require("./commands/RegisterApplicationRevisionCommand");
var RegisterOnPremisesInstanceCommand_1 = require("./commands/RegisterOnPremisesInstanceCommand");
var RemoveTagsFromOnPremisesInstancesCommand_1 = require("./commands/RemoveTagsFromOnPremisesInstancesCommand");
var SkipWaitTimeForInstanceTerminationCommand_1 = require("./commands/SkipWaitTimeForInstanceTerminationCommand");
var StopDeploymentCommand_1 = require("./commands/StopDeploymentCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UpdateApplicationCommand_1 = require("./commands/UpdateApplicationCommand");
var UpdateDeploymentGroupCommand_1 = require("./commands/UpdateDeploymentGroupCommand");
var CodeDeploy = /** @class */ (function (_super) {
    tslib_1.__extends(CodeDeploy, _super);
    function CodeDeploy() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CodeDeploy.prototype.addTagsToOnPremisesInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddTagsToOnPremisesInstancesCommand_1.AddTagsToOnPremisesInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.batchGetApplicationRevisions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetApplicationRevisionsCommand_1.BatchGetApplicationRevisionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.batchGetApplications = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetApplicationsCommand_1.BatchGetApplicationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.batchGetDeploymentGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetDeploymentGroupsCommand_1.BatchGetDeploymentGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.batchGetDeploymentInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetDeploymentInstancesCommand_1.BatchGetDeploymentInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.batchGetDeploymentTargets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetDeploymentTargetsCommand_1.BatchGetDeploymentTargetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.batchGetDeployments = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetDeploymentsCommand_1.BatchGetDeploymentsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.batchGetOnPremisesInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchGetOnPremisesInstancesCommand_1.BatchGetOnPremisesInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.continueDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ContinueDeploymentCommand_1.ContinueDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.createApplication = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateApplicationCommand_1.CreateApplicationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.createDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDeploymentCommand_1.CreateDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.createDeploymentConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDeploymentConfigCommand_1.CreateDeploymentConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.createDeploymentGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDeploymentGroupCommand_1.CreateDeploymentGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.deleteApplication = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteApplicationCommand_1.DeleteApplicationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.deleteDeploymentConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDeploymentConfigCommand_1.DeleteDeploymentConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.deleteDeploymentGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDeploymentGroupCommand_1.DeleteDeploymentGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.deleteGitHubAccountToken = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteGitHubAccountTokenCommand_1.DeleteGitHubAccountTokenCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.deregisterOnPremisesInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeregisterOnPremisesInstanceCommand_1.DeregisterOnPremisesInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.getApplication = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetApplicationCommand_1.GetApplicationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.getApplicationRevision = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetApplicationRevisionCommand_1.GetApplicationRevisionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.getDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDeploymentCommand_1.GetDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.getDeploymentConfig = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDeploymentConfigCommand_1.GetDeploymentConfigCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.getDeploymentGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDeploymentGroupCommand_1.GetDeploymentGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.getDeploymentInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDeploymentInstanceCommand_1.GetDeploymentInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.getDeploymentTarget = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetDeploymentTargetCommand_1.GetDeploymentTargetCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.getOnPremisesInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetOnPremisesInstanceCommand_1.GetOnPremisesInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.listApplicationRevisions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListApplicationRevisionsCommand_1.ListApplicationRevisionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.listApplications = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListApplicationsCommand_1.ListApplicationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.listDeploymentConfigs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListDeploymentConfigsCommand_1.ListDeploymentConfigsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.listDeploymentGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListDeploymentGroupsCommand_1.ListDeploymentGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.listDeploymentInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListDeploymentInstancesCommand_1.ListDeploymentInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.listDeploymentTargets = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListDeploymentTargetsCommand_1.ListDeploymentTargetsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.listDeployments = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListDeploymentsCommand_1.ListDeploymentsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.listGitHubAccountTokenNames = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListGitHubAccountTokenNamesCommand_1.ListGitHubAccountTokenNamesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.listOnPremisesInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListOnPremisesInstancesCommand_1.ListOnPremisesInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.putLifecycleEventHookExecutionStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutLifecycleEventHookExecutionStatusCommand_1.PutLifecycleEventHookExecutionStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.registerApplicationRevision = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterApplicationRevisionCommand_1.RegisterApplicationRevisionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.registerOnPremisesInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterOnPremisesInstanceCommand_1.RegisterOnPremisesInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.removeTagsFromOnPremisesInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveTagsFromOnPremisesInstancesCommand_1.RemoveTagsFromOnPremisesInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.skipWaitTimeForInstanceTermination = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SkipWaitTimeForInstanceTerminationCommand_1.SkipWaitTimeForInstanceTerminationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.stopDeployment = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopDeploymentCommand_1.StopDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.updateApplication = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateApplicationCommand_1.UpdateApplicationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeDeploy.prototype.updateDeploymentGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateDeploymentGroupCommand_1.UpdateDeploymentGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return CodeDeploy;
}(CodeDeployClient_1.CodeDeployClient));
exports.CodeDeploy = CodeDeploy;
//# sourceMappingURL=CodeDeploy.js.map