"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetApplications_1 = require("../model/operations/BatchGetApplications");
var BatchGetApplicationsCommand = /** @class */ (function () {
    function BatchGetApplicationsCommand(input) {
        this.input = input;
        this.model = BatchGetApplications_1.BatchGetApplications;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetApplicationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetApplicationsCommand;
}());
exports.BatchGetApplicationsCommand = BatchGetApplicationsCommand;
//# sourceMappingURL=BatchGetApplicationsCommand.js.map