"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDeployment_1 = require("../model/operations/CreateDeployment");
var CreateDeploymentCommand = /** @class */ (function () {
    function CreateDeploymentCommand(input) {
        this.input = input;
        this.model = CreateDeployment_1.CreateDeployment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDeploymentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDeploymentCommand;
}());
exports.CreateDeploymentCommand = CreateDeploymentCommand;
//# sourceMappingURL=CreateDeploymentCommand.js.map