"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDeploymentGroup_1 = require("../model/operations/DeleteDeploymentGroup");
var DeleteDeploymentGroupCommand = /** @class */ (function () {
    function DeleteDeploymentGroupCommand(input) {
        this.input = input;
        this.model = DeleteDeploymentGroup_1.DeleteDeploymentGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDeploymentGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDeploymentGroupCommand;
}());
exports.DeleteDeploymentGroupCommand = DeleteDeploymentGroupCommand;
//# sourceMappingURL=DeleteDeploymentGroupCommand.js.map