"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetOnPremisesInstance_1 = require("../model/operations/GetOnPremisesInstance");
var GetOnPremisesInstanceCommand = /** @class */ (function () {
    function GetOnPremisesInstanceCommand(input) {
        this.input = input;
        this.model = GetOnPremisesInstance_1.GetOnPremisesInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetOnPremisesInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetOnPremisesInstanceCommand;
}());
exports.GetOnPremisesInstanceCommand = GetOnPremisesInstanceCommand;
//# sourceMappingURL=GetOnPremisesInstanceCommand.js.map