"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListOnPremisesInstances_1 = require("../model/operations/ListOnPremisesInstances");
var ListOnPremisesInstancesCommand = /** @class */ (function () {
    function ListOnPremisesInstancesCommand(input) {
        this.input = input;
        this.model = ListOnPremisesInstances_1.ListOnPremisesInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListOnPremisesInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListOnPremisesInstancesCommand;
}());
exports.ListOnPremisesInstancesCommand = ListOnPremisesInstancesCommand;
//# sourceMappingURL=ListOnPremisesInstancesCommand.js.map