"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterOnPremisesInstance_1 = require("../model/operations/RegisterOnPremisesInstance");
var RegisterOnPremisesInstanceCommand = /** @class */ (function () {
    function RegisterOnPremisesInstanceCommand(input) {
        this.input = input;
        this.model = RegisterOnPremisesInstance_1.RegisterOnPremisesInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterOnPremisesInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterOnPremisesInstanceCommand;
}());
exports.RegisterOnPremisesInstanceCommand = RegisterOnPremisesInstanceCommand;
//# sourceMappingURL=RegisterOnPremisesInstanceCommand.js.map