"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetDeploymentTargetsInput_1 = require("../shapes/BatchGetDeploymentTargetsInput");
var BatchGetDeploymentTargetsOutput_1 = require("../shapes/BatchGetDeploymentTargetsOutput");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var DeploymentDoesNotExistException_1 = require("../shapes/DeploymentDoesNotExistException");
var DeploymentNotStartedException_1 = require("../shapes/DeploymentNotStartedException");
var DeploymentTargetIdRequiredException_1 = require("../shapes/DeploymentTargetIdRequiredException");
var InvalidDeploymentTargetIdException_1 = require("../shapes/InvalidDeploymentTargetIdException");
var DeploymentTargetDoesNotExistException_1 = require("../shapes/DeploymentTargetDoesNotExistException");
var DeploymentTargetListSizeExceededException_1 = require("../shapes/DeploymentTargetListSizeExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetDeploymentTargets = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetDeploymentTargets",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetDeploymentTargetsInput_1.BatchGetDeploymentTargetsInput
    },
    output: {
        shape: BatchGetDeploymentTargetsOutput_1.BatchGetDeploymentTargetsOutput
    },
    errors: [
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        },
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: DeploymentDoesNotExistException_1.DeploymentDoesNotExistException
        },
        {
            shape: DeploymentNotStartedException_1.DeploymentNotStartedException
        },
        {
            shape: DeploymentTargetIdRequiredException_1.DeploymentTargetIdRequiredException
        },
        {
            shape: InvalidDeploymentTargetIdException_1.InvalidDeploymentTargetIdException
        },
        {
            shape: DeploymentTargetDoesNotExistException_1.DeploymentTargetDoesNotExistException
        },
        {
            shape: DeploymentTargetListSizeExceededException_1.DeploymentTargetListSizeExceededException
        }
    ]
};
//# sourceMappingURL=BatchGetDeploymentTargets.js.map