"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ContinueDeploymentInput_1 = require("../shapes/ContinueDeploymentInput");
var ContinueDeploymentOutput_1 = require("../shapes/ContinueDeploymentOutput");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var DeploymentDoesNotExistException_1 = require("../shapes/DeploymentDoesNotExistException");
var DeploymentAlreadyCompletedException_1 = require("../shapes/DeploymentAlreadyCompletedException");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var DeploymentIsNotInReadyStateException_1 = require("../shapes/DeploymentIsNotInReadyStateException");
var UnsupportedActionForDeploymentTypeException_1 = require("../shapes/UnsupportedActionForDeploymentTypeException");
var InvalidDeploymentWaitTypeException_1 = require("../shapes/InvalidDeploymentWaitTypeException");
var InvalidDeploymentStatusException_1 = require("../shapes/InvalidDeploymentStatusException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ContinueDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ContinueDeployment",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ContinueDeploymentInput_1.ContinueDeploymentInput
    },
    output: {
        shape: ContinueDeploymentOutput_1.ContinueDeploymentOutput
    },
    errors: [
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: DeploymentDoesNotExistException_1.DeploymentDoesNotExistException
        },
        {
            shape: DeploymentAlreadyCompletedException_1.DeploymentAlreadyCompletedException
        },
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        },
        {
            shape: DeploymentIsNotInReadyStateException_1.DeploymentIsNotInReadyStateException
        },
        {
            shape: UnsupportedActionForDeploymentTypeException_1.UnsupportedActionForDeploymentTypeException
        },
        {
            shape: InvalidDeploymentWaitTypeException_1.InvalidDeploymentWaitTypeException
        },
        {
            shape: InvalidDeploymentStatusException_1.InvalidDeploymentStatusException
        }
    ]
};
//# sourceMappingURL=ContinueDeployment.js.map