"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteGitHubAccountTokenInput_1 = require("../shapes/DeleteGitHubAccountTokenInput");
var DeleteGitHubAccountTokenOutput_1 = require("../shapes/DeleteGitHubAccountTokenOutput");
var GitHubAccountTokenNameRequiredException_1 = require("../shapes/GitHubAccountTokenNameRequiredException");
var GitHubAccountTokenDoesNotExistException_1 = require("../shapes/GitHubAccountTokenDoesNotExistException");
var InvalidGitHubAccountTokenNameException_1 = require("../shapes/InvalidGitHubAccountTokenNameException");
var ResourceValidationException_1 = require("../shapes/ResourceValidationException");
var OperationNotSupportedException_1 = require("../shapes/OperationNotSupportedException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteGitHubAccountToken = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteGitHubAccountToken",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteGitHubAccountTokenInput_1.DeleteGitHubAccountTokenInput
    },
    output: {
        shape: DeleteGitHubAccountTokenOutput_1.DeleteGitHubAccountTokenOutput
    },
    errors: [
        {
            shape: GitHubAccountTokenNameRequiredException_1.GitHubAccountTokenNameRequiredException
        },
        {
            shape: GitHubAccountTokenDoesNotExistException_1.GitHubAccountTokenDoesNotExistException
        },
        {
            shape: InvalidGitHubAccountTokenNameException_1.InvalidGitHubAccountTokenNameException
        },
        {
            shape: ResourceValidationException_1.ResourceValidationException
        },
        {
            shape: OperationNotSupportedException_1.OperationNotSupportedException
        }
    ]
};
//# sourceMappingURL=DeleteGitHubAccountToken.js.map