"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetApplicationRevisionInput_1 = require("../shapes/GetApplicationRevisionInput");
var GetApplicationRevisionOutput_1 = require("../shapes/GetApplicationRevisionOutput");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var RevisionDoesNotExistException_1 = require("../shapes/RevisionDoesNotExistException");
var RevisionRequiredException_1 = require("../shapes/RevisionRequiredException");
var InvalidRevisionException_1 = require("../shapes/InvalidRevisionException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetApplicationRevision = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetApplicationRevision",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetApplicationRevisionInput_1.GetApplicationRevisionInput
    },
    output: {
        shape: GetApplicationRevisionOutput_1.GetApplicationRevisionOutput
    },
    errors: [
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: RevisionDoesNotExistException_1.RevisionDoesNotExistException
        },
        {
            shape: RevisionRequiredException_1.RevisionRequiredException
        },
        {
            shape: InvalidRevisionException_1.InvalidRevisionException
        }
    ]
};
//# sourceMappingURL=GetApplicationRevision.js.map