"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetDeploymentInstanceInput_1 = require("../shapes/GetDeploymentInstanceInput");
var GetDeploymentInstanceOutput_1 = require("../shapes/GetDeploymentInstanceOutput");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var DeploymentDoesNotExistException_1 = require("../shapes/DeploymentDoesNotExistException");
var InstanceIdRequiredException_1 = require("../shapes/InstanceIdRequiredException");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var InstanceDoesNotExistException_1 = require("../shapes/InstanceDoesNotExistException");
var InvalidInstanceNameException_1 = require("../shapes/InvalidInstanceNameException");
var InvalidComputePlatformException_1 = require("../shapes/InvalidComputePlatformException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDeploymentInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDeploymentInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetDeploymentInstanceInput_1.GetDeploymentInstanceInput
    },
    output: {
        shape: GetDeploymentInstanceOutput_1.GetDeploymentInstanceOutput
    },
    errors: [
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: DeploymentDoesNotExistException_1.DeploymentDoesNotExistException
        },
        {
            shape: InstanceIdRequiredException_1.InstanceIdRequiredException
        },
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        },
        {
            shape: InstanceDoesNotExistException_1.InstanceDoesNotExistException
        },
        {
            shape: InvalidInstanceNameException_1.InvalidInstanceNameException
        },
        {
            shape: InvalidComputePlatformException_1.InvalidComputePlatformException
        }
    ]
};
//# sourceMappingURL=GetDeploymentInstance.js.map