"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListDeploymentsInput_1 = require("../shapes/ListDeploymentsInput");
var ListDeploymentsOutput_1 = require("../shapes/ListDeploymentsOutput");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var InvalidDeploymentGroupNameException_1 = require("../shapes/InvalidDeploymentGroupNameException");
var DeploymentGroupDoesNotExistException_1 = require("../shapes/DeploymentGroupDoesNotExistException");
var DeploymentGroupNameRequiredException_1 = require("../shapes/DeploymentGroupNameRequiredException");
var InvalidTimeRangeException_1 = require("../shapes/InvalidTimeRangeException");
var InvalidDeploymentStatusException_1 = require("../shapes/InvalidDeploymentStatusException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListDeployments = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListDeployments",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListDeploymentsInput_1.ListDeploymentsInput
    },
    output: {
        shape: ListDeploymentsOutput_1.ListDeploymentsOutput
    },
    errors: [
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: InvalidDeploymentGroupNameException_1.InvalidDeploymentGroupNameException
        },
        {
            shape: DeploymentGroupDoesNotExistException_1.DeploymentGroupDoesNotExistException
        },
        {
            shape: DeploymentGroupNameRequiredException_1.DeploymentGroupNameRequiredException
        },
        {
            shape: InvalidTimeRangeException_1.InvalidTimeRangeException
        },
        {
            shape: InvalidDeploymentStatusException_1.InvalidDeploymentStatusException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListDeployments.js.map