"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegisterApplicationRevisionInput_1 = require("../shapes/RegisterApplicationRevisionInput");
var RegisterApplicationRevisionOutput_1 = require("../shapes/RegisterApplicationRevisionOutput");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var ApplicationNameRequiredException_1 = require("../shapes/ApplicationNameRequiredException");
var InvalidApplicationNameException_1 = require("../shapes/InvalidApplicationNameException");
var DescriptionTooLongException_1 = require("../shapes/DescriptionTooLongException");
var RevisionRequiredException_1 = require("../shapes/RevisionRequiredException");
var InvalidRevisionException_1 = require("../shapes/InvalidRevisionException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterApplicationRevision = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterApplicationRevision",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RegisterApplicationRevisionInput_1.RegisterApplicationRevisionInput
    },
    output: {
        shape: RegisterApplicationRevisionOutput_1.RegisterApplicationRevisionOutput
    },
    errors: [
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: ApplicationNameRequiredException_1.ApplicationNameRequiredException
        },
        {
            shape: InvalidApplicationNameException_1.InvalidApplicationNameException
        },
        {
            shape: DescriptionTooLongException_1.DescriptionTooLongException
        },
        {
            shape: RevisionRequiredException_1.RevisionRequiredException
        },
        {
            shape: InvalidRevisionException_1.InvalidRevisionException
        }
    ]
};
//# sourceMappingURL=RegisterApplicationRevision.js.map