"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StopDeploymentInput_1 = require("../shapes/StopDeploymentInput");
var StopDeploymentOutput_1 = require("../shapes/StopDeploymentOutput");
var DeploymentIdRequiredException_1 = require("../shapes/DeploymentIdRequiredException");
var DeploymentDoesNotExistException_1 = require("../shapes/DeploymentDoesNotExistException");
var DeploymentGroupDoesNotExistException_1 = require("../shapes/DeploymentGroupDoesNotExistException");
var DeploymentAlreadyCompletedException_1 = require("../shapes/DeploymentAlreadyCompletedException");
var InvalidDeploymentIdException_1 = require("../shapes/InvalidDeploymentIdException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopDeployment",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopDeploymentInput_1.StopDeploymentInput
    },
    output: {
        shape: StopDeploymentOutput_1.StopDeploymentOutput
    },
    errors: [
        {
            shape: DeploymentIdRequiredException_1.DeploymentIdRequiredException
        },
        {
            shape: DeploymentDoesNotExistException_1.DeploymentDoesNotExistException
        },
        {
            shape: DeploymentGroupDoesNotExistException_1.DeploymentGroupDoesNotExistException
        },
        {
            shape: DeploymentAlreadyCompletedException_1.DeploymentAlreadyCompletedException
        },
        {
            shape: InvalidDeploymentIdException_1.InvalidDeploymentIdException
        }
    ]
};
//# sourceMappingURL=StopDeployment.js.map