"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TagResourceInput_1 = require("../shapes/TagResourceInput");
var TagResourceOutput_1 = require("../shapes/TagResourceOutput");
var ResourceArnRequiredException_1 = require("../shapes/ResourceArnRequiredException");
var ApplicationDoesNotExistException_1 = require("../shapes/ApplicationDoesNotExistException");
var DeploymentGroupDoesNotExistException_1 = require("../shapes/DeploymentGroupDoesNotExistException");
var DeploymentConfigDoesNotExistException_1 = require("../shapes/DeploymentConfigDoesNotExistException");
var TagRequiredException_1 = require("../shapes/TagRequiredException");
var InvalidTagsToAddException_1 = require("../shapes/InvalidTagsToAddException");
var ArnNotSupportedException_1 = require("../shapes/ArnNotSupportedException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput
    },
    errors: [
        {
            shape: ResourceArnRequiredException_1.ResourceArnRequiredException
        },
        {
            shape: ApplicationDoesNotExistException_1.ApplicationDoesNotExistException
        },
        {
            shape: DeploymentGroupDoesNotExistException_1.DeploymentGroupDoesNotExistException
        },
        {
            shape: DeploymentConfigDoesNotExistException_1.DeploymentConfigDoesNotExistException
        },
        {
            shape: TagRequiredException_1.TagRequiredException
        },
        {
            shape: InvalidTagsToAddException_1.InvalidTagsToAddException
        },
        {
            shape: ArnNotSupportedException_1.ArnNotSupportedException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        }
    ]
};
//# sourceMappingURL=TagResource.js.map