"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EC2TagFilterList_1 = require("./_EC2TagFilterList");
var _TagFilterList_1 = require("./_TagFilterList");
var _AutoScalingGroupNameList_1 = require("./_AutoScalingGroupNameList");
var _TriggerConfigList_1 = require("./_TriggerConfigList");
var _AlarmConfiguration_1 = require("./_AlarmConfiguration");
var _AutoRollbackConfiguration_1 = require("./_AutoRollbackConfiguration");
var _DeploymentStyle_1 = require("./_DeploymentStyle");
var _BlueGreenDeploymentConfiguration_1 = require("./_BlueGreenDeploymentConfiguration");
var _LoadBalancerInfo_1 = require("./_LoadBalancerInfo");
var _EC2TagSet_1 = require("./_EC2TagSet");
var _ECSServiceList_1 = require("./_ECSServiceList");
var _OnPremisesTagSet_1 = require("./_OnPremisesTagSet");
var _TagList_1 = require("./_TagList");
exports.CreateDeploymentGroupInput = {
    type: "structure",
    required: ["applicationName", "deploymentGroupName", "serviceRoleArn"],
    members: {
        applicationName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        deploymentGroupName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        deploymentConfigName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ec2TagFilters: {
            shape: _EC2TagFilterList_1._EC2TagFilterList
        },
        onPremisesInstanceTagFilters: {
            shape: _TagFilterList_1._TagFilterList
        },
        autoScalingGroups: {
            shape: _AutoScalingGroupNameList_1._AutoScalingGroupNameList
        },
        serviceRoleArn: {
            shape: {
                type: "string"
            }
        },
        triggerConfigurations: {
            shape: _TriggerConfigList_1._TriggerConfigList
        },
        alarmConfiguration: {
            shape: _AlarmConfiguration_1._AlarmConfiguration
        },
        autoRollbackConfiguration: {
            shape: _AutoRollbackConfiguration_1._AutoRollbackConfiguration
        },
        deploymentStyle: {
            shape: _DeploymentStyle_1._DeploymentStyle
        },
        blueGreenDeploymentConfiguration: {
            shape: _BlueGreenDeploymentConfiguration_1._BlueGreenDeploymentConfiguration
        },
        loadBalancerInfo: {
            shape: _LoadBalancerInfo_1._LoadBalancerInfo
        },
        ec2TagSet: {
            shape: _EC2TagSet_1._EC2TagSet
        },
        ecsServices: {
            shape: _ECSServiceList_1._ECSServiceList
        },
        onPremisesTagSet: {
            shape: _OnPremisesTagSet_1._OnPremisesTagSet
        },
        tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateDeploymentGroupInput.js.map